# Update domain webhook

Replace the list of urls by the given one with the `url` param. Here is the list of supported webhook: `accepted`, `opened`, `clicked`, `unsubscribed`, `delivered`, `permanent_fail`, `temporary_fail` and `complained`.

Endpoint: PUT /v3/domains/{domain_name}/webhooks/{webhook_name}
Version: 3.0.0
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `domain_name` (string, required)
    The name of the domain you want to get webhook from

  - `webhook_name` (string, required)
    The webhook type to update.

## Request fields (multipart/form-data):

  - `url` (string, required)
    New url(s) to associate to webhook. Use multiple times to associate more than one url. Maximum of 3 urls for a given type.

## Response 200:

  - `200` (unknown)
    A 200 response

## Response 200 fields (application/json):

  - `message` (string, required)
    A message indicating success

  - `webhook` (object, required)
    Webhook details

  - `webhook.urls` (array)
    List of webhooks

## Response 400:

  - `400` (unknown)
    A 400 response

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 401:

  - `401` (unknown)
    A 401 response

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404:

  - `404` (unknown)
    A 404 response

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message

## Response 200 examples:

  - `Example` (unknown)

## Response 400 examples:

  - `Example` (unknown)

## Response 401 examples:

  - `Example` (unknown)

## Response 404 examples:

  - `Example` (unknown)

